#include <DHT11.h>
#include <LiquidCrystal_I2C.h>
#include <Wire.h>

int  pin=4;  //sensore umidità collegato al pin 4
DHT11 dht11(pin);   
LiquidCrystal_I2C lcd(0x27, 16, 2); 
double  Kelvin(double celsius){   //converto gradi Celsius in Kelvin
    return  celsius + 273.15; 
  } 
void  setup() { 
    
lcd.begin();  
lcd.backlight();  
lcd.clear(); 
lcd.setCursor(0,0);  
lcd.print("Calcolo Umidita'");
lcd.setCursor(0,1);  
lcd.print("E Temperatura");

delay(2000);  
lcd.clear();  
lcd.print("Starting  ........"); 
delay(2000);  

}

void loop() {
 
  int err;  
    float temp, humi; 
    if((err=dht11.read(humi,  temp))==0)  
    { 
        lcd.clear();  
        lcd.setCursor(0,0);         
        lcd.print("temp:  ");         
        lcd.print(Kelvin(temp));          
        lcd.print(" K");          
        lcd.setCursor(0,1);         
        lcd.print(" hum:  ");         
        lcd.print(humi);          
        lcd.print(" %");  
    } 
    else  
    { 
        lcd.println();          
        lcd.print("Error  No  :");          
        lcd.print(err);     
    } 
    delay(DHT11_RETRY_DELAY); 
}
